import mwpy_gameobject

MWPYGameObject = mwpy_gameobject.MWPYGameObject
MWPYGameObjectType = mwpy_gameobject.MWPYGameObjectType
MWPYGameObjectState = mwpy_gameobject.MWPYGameObjectState


class MWPYGroup(MWPYGameObject):
	def __init__(self, gameObjectType = MWPYGameObjectType['MWGOT_GROUP']):
		MWPYGameObject.__init__(self, gameObjectType)
		self.isvisible = False
		self.is_static = True

	def can_render(self):
		return self.isvisible
	def can_update(self):
		return self.isvisible
	def do_update(self, delta, currenttime, world_dict):
		return None
